Returns the configured fonts

- « Imagick::queryFontMetrics

- Imagick::queryFormats »

- PHP Manual
- Imagick
- Returns the configured fonts

# Imagick::queryFonts

(PECL imagick 2, PECL imagick 3)

Imagick::queryFonts — Returns the configured fonts

### Description

public static Imagick::queryFonts(string `$pattern` = "*"): array

Returns the configured fonts.

### Parameters

`pattern`

  The query pattern

### Return Values

Returns an array containing the configured fonts.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::queryFonts()

    <?php
            $output = '';
            $output .= "Fonts that match 'Helvetica*' are:<br/>";

            $fontList = \Imagick::queryFonts("Helvetica*");

            foreach ($fontList as $fontName) {
                $output .= '<li>'. $fontName."</li>";
            }

            return $output;

    ?>